Bug 446140 - xine-lib: plugins not multiarch
Summary: xine-lib: plugins not multiarch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xine-lib
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-12 23:21 UTC by Philippe Troin
Modified: 2009-01-07 21:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-07 20:51:44 UTC


Attachments (Terms of Use)

Description Philippe Troin 2008-05-12 23:21:07 UTC
xine-lib is multiarch (has xine-lib.x86_64 and xine-lib.i386), yet the plugins
packages are only provided for x86_64.
The missing packages are:

xine-lib-arts.i386
xine-lib-extras.i386
xine-lib-pulseaudio.i386

Package rev: 1.1.12-2.fc8

Phil.

Comment 1 Rex Dieter 2008-05-13 12:18:45 UTC
True, but under what scenario(s) would one really want or need these?  I can't
think of any off the top of my head.

Comment 2 Kevin Kofler 2008-05-13 12:59:31 UTC
32-bit apps can't use xine-lib-pulseaudio if you don't have the 32-bit version 
of it.

Comment 3 Rex Dieter 2008-05-13 14:35:54 UTC
ok, name one useful 32-bit xine-lib-based app? :)

Comment 4 Rex Dieter 2008-05-13 14:49:52 UTC
fwiw, I acknowledge that the absense of the multilib-wise is a bug, I'm only
trying to gauge the severity/impact.

Comment 5 Philippe Troin 2008-05-13 18:56:50 UTC
For example, I run 32-bit xine on 64-bit in order to be able to use 32-bit
codecs from another well-known platform.

Comment 6 Rex Dieter 2008-05-13 19:12:20 UTC
fwiw, I've yet to find anything that xine-lib-extras-nonfree (from livna)
doesn't support.

Comment 7 Bug Zapper 2008-11-26 10:41:23 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Rex Dieter 2008-11-26 13:42:14 UTC
reassigning -> rawhide

Comment 9 Rex Dieter 2009-01-07 20:35:57 UTC
CC'ing mash-d00d notting, can we get
%_libdir/xine/plugins/*/*.so
added to be considered multiarch?

Comment 10 Bill Nottingham 2009-01-07 20:51:44 UTC
Given that we do gstreamer plugins, makes sense.

http://git.fedorahosted.org/git/?p=mash;a=commitdiff;h=ee8e1950c7367a28cecd40098166527d86495adc

Will be in rawhide at some point.

Comment 11 Rex Dieter 2009-01-07 21:00:25 UTC
suh-weet. thanks.


Note You need to log in before you can comment on or make changes to this bug.